<script>
    import {API_URL} from './constants'
    import {createEventDispatcher} from 'svelte'

    export let cluster = "";
    export let count = 0;
    export let numbers = [];
    export let all = 0;

    const dispatch = createEventDispatcher("editing");
    let newCluster = cluster;
    let editable = true;

    let imageUrl = `${API_URL}/photo/${cluster}/`;
    let sendUrl = "";

    function handleClick() {
        editable = !editable;
    }

    async function handleSend() {
        console.log(`Sending: ${cluster}/${newCluster}`);
        let sendUrl = `${API_URL}/right/${cluster}/${newCluster}`;
        dispatch("datasending", {cluster, newCluster})
        await fetch(sendUrl, {method: "POST"});
        dispatch("datasent", {cluster, newCluster})
    }

    function handleFocus() {
        dispatch("editing", true);
    }

    function handleBlur() {
        dispatch("editing", false);
    }

</script>


<div class="row m-2 mb-4" style="max-width: 540px;">
    <div class="container">
        <div class="row mb-1">
            <img
                    alt="Новый"
                    src={imageUrl+"1/1"}
            />
            {#each numbers as num, index (num)}
                <img
                        alt={num}
                        src={imageUrl+num+"/0"}
                />
            {/each}
        </div>
        <div class="row">
            {#if editable}
                <div class="input-group">
                    <div class="input-group-prepend w-10">
                        <span class="input-group-text">{(100 * count / all).toFixed(0) } %</span>
                    </div>
                    <input type="text"
                           class="form-control w-65"
                           bind:value={newCluster}
                           placeholder="Введите актуальное ФИО"
                           on:focus={handleFocus}
                           on:blur={handleBlur}
                    />
                    <div class="input-group-append w-25">
                        <button on:click={handleSend}
                                class="btn btn-primary"
                        >
                            Выбрать
                        </button>
                    </div>
                </div>
            {:else}
                <div class="w-100">
                    <h2>{(100 * count / all).toFixed(0) } % -  {cluster}</h2>
                </div>
            {/if}
        </div>
    </div>
</div>

<style>
    img {
        width: 100px;
        height: 100px;
    }
</style>
